> ## Documentation Index
> Fetch the complete documentation index at: https://docs.driv.ly/llms.txt
> Use this file to discover all available pages before exploring further.

# Update an existing Call



## OpenAPI

````yaml Commerce patch /calls/{id}
openapi: 3.1.0
info:
  title: Commerce
  version: '3.0'
  contact:
    email: samuel@driv.ly
    name: Samuel Lippert
    url: https://driv.ly/
  description: Drivly Commerce API
servers:
  - url: https://commerce.driv.ly/api
security: []
paths:
  /calls/{id}:
    parameters:
      - schema:
          type: string
        name: id
        in: path
        required: true
        description: Call is uniquely identified by id
      - schema:
          type: integer
        name: depth
        in: query
        required: false
        description: The number of levels of related objects to include in the response
    patch:
      summary: Update an existing Call
      operationId: patch-call
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateCall'
      responses:
        '200':
          description: Call Updated
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/Call'
                  success:
                    type: boolean
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorModel'
                examples:
                  - error:
                      code: 401
                      message: Unauthorized
                    success: false
        '404':
          description: Call Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorModel'
                examples:
                  - error:
                      code: 404
                      message: Call Not Found
                    success: false
        '429':
          description: Too Many Requests
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorModel'
                examples:
                  - error:
                      code: 429
                      message: Too Many Requests
                    success: false
components:
  schemas:
    UpdateCall:
      $id: UpdateCall
      title: Call
      examples:
        - id: call_3d9k2j8s7d2k
          note: Follow up with more information
          time: '2023-09-20T14:00:00Z'
          rating: 5
          ratingNote: Excellent call, potential sale
          transcript: Transcript of the call here
          audioRecording:
            url: http://example.com/audio
          conversationURL: http://example.com/conversation
          externalPhoneNumber: 555-6789
          internalPhoneNumber: 555-0199
      properties:
        id:
          type: string
          description: Call is uniquely identified by id
        externalPhoneNumber:
          type: string
          pattern: ^\+?1?[- ]?\(?([0-9]{3})\)?[- ]?([0-9]{3})-?([0-9]{4})$
          description: Call is made with External Phone Number
        internalPhoneNumber:
          type: string
          pattern: ^\+?1?[- ]?\(?([0-9]{3})\)?[- ]?([0-9]{3})-?([0-9]{4})$
          description: Call is made with Internal Phone Number
        ratingNote:
          type: string
          description: Call has Rating Note
        note:
          type: string
          description: Call has Note
        rating:
          type: number
          minimum: 0
          maximum: 5
          multipleOf: 0.1
          description: Call has Rating
        audioRecording:
          type: object
          description: Call has Audio Recording
        transcript:
          type: string
          description: Call has Transcript
        conversationURL:
          type: string
          format: iri
          description: Call has Conversation URL
        time:
          type: string
          format: date-time
          description: Call occurs at Time
      type: object
    Call:
      $id: Call
      examples:
        - id: call_3d9k2j8s7d2k
          note: Follow up with more information
          time: '2023-09-20T14:00:00Z'
          rating: 5
          ratingNote: Excellent call, potential sale
          transcript: Transcript of the call here
          audioRecording:
            url: http://example.com/audio
          conversationURL: http://example.com/conversation
          externalPhoneNumber: 555-6789
          internalPhoneNumber: 555-0199
      required:
        - id
        - externalPhoneNumber
        - internalPhoneNumber
        - conversationURL
        - time
      title: Call
      type: object
      properties:
        id:
          type: string
          description: Call is uniquely identified by id
        externalPhoneNumber:
          type: string
          pattern: ^\+?1?[- ]?\(?([0-9]{3})\)?[- ]?([0-9]{3})-?([0-9]{4})$
          description: Call is made with External Phone Number
        internalPhoneNumber:
          type: string
          pattern: ^\+?1?[- ]?\(?([0-9]{3})\)?[- ]?([0-9]{3})-?([0-9]{4})$
          description: Call is made with Internal Phone Number
        ratingNote:
          type: string
          description: Call has Rating Note
        note:
          type: string
          description: Call has Note
        rating:
          type: number
          minimum: 0
          maximum: 5
          multipleOf: 0.1
          description: Call has Rating
        audioRecording:
          type: object
          description: Call has Audio Recording
        transcript:
          type: string
          description: Call has Transcript
        conversationURL:
          type: string
          format: iri
          description: Call has Conversation URL
        time:
          type: string
          format: date-time
          description: Call occurs at Time
    ErrorModel:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: number
            message:
              type: string
        success:
          type: boolean

````